import subprocess
import sys
from pathlib import Path
import os
import re

output_folder_name ="/bulk_convert_out/"

droppedFile = sys.argv[1]
droppedName = Path(droppedFile).name
originalfiles = sys.orig_argv[2:]

#long path shenanigans 
joined = (' '.join(originalfiles))
re.sub (' +', ' ', joined)
listed = re.split(r'(.+?mkv|.+?mov|.+?mp4)', joined)
listed = list(filter(None, listed))
listed = [i.lstrip() for i in listed]

print(droppedName)

#get path of script location and remove the tail
head_tail = os.path.split(sys.argv[0])
output_path = head_tail[0]
from_time = input("start point (second)")
to_time = input("end point (second)")

#skip first part of sys.argv since it points to script location
arguments = sys.argv[1:]

#check if output folder exists, otherwise create it
isExist = os.path.exists(output_path+output_folder_name)
if not isExist:
    os.makedirs(output_path+output_folder_name)


for file in listed:
    splitter = os.path.split(file)
    file_folder = splitter[0]
    basename = os.path.basename(file)
    print(file)
    args = 'ffmpeg.exe -i "{file}" -ss {from_time} -c:v libx264 -crf 18 -to {to_time} -c:a copy "{file_folder}/trimmed_{basename}" '.format(file=file, from_time=from_time, to_time=to_time, file_folder=file_folder, output_path=output_path, output_folder_name=output_folder_name,  basename=basename)
    print(args)
    subprocess.run(args)


k=input("press close to exit") 